/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.jeo.gen;

import com.queplix.core.modules.jeo.JEObject;

import java.util.Date;

public interface UserLogObject extends JEObject {
    Long getUser_log_id();

    Date getLogout_time();

    Date getLogin_time();

    String getRemote_address();

    String getHost();

    String getFullname();

    String getSession_id();

    Long getUser_id();

    Integer getUser_type_id();

    void setUser_log_id(Long l);

    void setLogout_time(Date d);

    void setLogin_time(Date d);

    void setRemote_address(String s);

    void setHost(String s);

    void setFullname(String s);

    void setSession_id(String s);

    void setUser_id(Long user_id);

    void setUser_type_id(Integer user_type_id);
}
